Subject: [PATCH v3 2/4] regulator: adapt fixed regulator driver to dt

From: [email-masked] (Mark Brown)
Date: Fri, 4 Nov 2011 22:23:23 +0000

On Fri, Nov 04, 2011 at 03:09:32PM -0700, Olof Johansson wrote:

> But even things like allowing (optional) attributes such as
> startup-delay on non-fixed regulators could make sense. Keep in mind
> that the device tree should focus on describing the hardware, not just
> what the linux driver needs from it. So maybe instead of
> startup-delay, specifying ramp-up speed instead of time needed until
> power is good could be the way to go there.

This is in general something that a driver should know as a result of
knowing which regulator it's dealing with - in many cases these are
properties which can be varied at runtime on hardware which has register
control.  Replicating this into the device tree would make things more
error prone.